﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

public class JpegHandler : IHttpHandler
{
	public JpegHandler()
	{
	}

    public bool IsReusable
    {
        get { return false; }
    }

    public void ProcessRequest(HttpContext context)
    {
        //set the MIME type 
        context.Response.ContentType = "image/jpeg";

        HttpRequest Request = context.Request;
        HttpResponse Response = context.Response;

        if (Request.RawUrl.ToLower().Contains("jellyfish.jpg"))
        {
            Response.TransmitFile(Request.PhysicalApplicationPath +
                "/images/Jellyfish.jpg");
        }
        else if (Request.RawUrl.ToLower().Contains("koala.jpg"))
        {
            Response.TransmitFile(Request.PhysicalApplicationPath +
                "/images/Koala.jpg");
        }
        else
        {
            Response.Write("File not found");
        }
    }
}