﻿
Partial Class UserProfile
    Inherits System.Web.UI.Page

    Protected Sub SaveButton_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles SaveButton.Click
        Profile.Name = NameTextBox.Text
        Profile.PostalCode = PostalTextBox.Text
        Profile.ColorPreference = ColorsDropDownList.SelectedValue.ToString()

        Profile.Save()

        Response.Redirect("Default.aspx")

    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            NameTextBox.Text = Profile.Name
            If Profile.PostalCode > 0 Then
                PostalTextBox.Text = Profile.PostalCode
            End If
            If Profile.ColorPreference.Length > 0 Then
                ColorsDropDownList.SelectedValue = Profile.ColorPreference.ToString()
            End If
        End If
    End Sub
End Class
