﻿Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Text

Public Class ShipperService
    Implements IShipperService

    Private _cnnString As String = _
        ConfigurationManager.ConnectionStrings("NwConnectionString").ToString

    Public Function GetShipper(ByVal shipperId As Integer) As Shipper _
      Implements IShipperService.GetShipper

        Dim sql As New StringBuilder()
        sql.Append("SELECT shipperId, companyName, phone ")
        sql.Append("FROM shippers WHERE (shipperId = @ShipperId) ")

        Dim cnn As New SqlConnection(_cnnString)
        Dim cmd As New SqlCommand(sql.ToString(), cnn)
        cmd.Parameters.Add("ShipperId", SqlDbType.Int, 0).Value = shipperId

        Dim adp As New SqlDataAdapter(cmd)
        Dim ds As New DataSet()

        adp.Fill(ds)

        Dim s As New Shipper()
        s.ShipperId = shipperId
        s.CompanyName = ds.Tables(0).Rows(0)("companyName").ToString()
        s.Phone = ds.Tables(0).Rows(0)("phone").ToString()

        Return s

    End Function

    Public Sub SaveShipper(ByVal shipper As Shipper) _
      Implements IShipperService.SaveShipper

        Dim sql As New StringBuilder()
        sql.Append("UPDATE Shippers SET phone=@Phone, ")
        sql.Append("companyName=@CompanyName WHERE shipperId = @ShipperId ")

        Dim cnn As New SqlConnection(_cnnString)
        Dim cmd As New SqlCommand(sql.ToString(), cnn)
        cmd.Parameters.Add("Phone", SqlDbType.NVarChar, 24).Value = _
            shipper.Phone
        cmd.Parameters.Add("CompanyName", SqlDbType.NVarChar, 40).Value = _
          shipper.CompanyName
        cmd.Parameters.Add("ShipperId", SqlDbType.Int, 0).Value = _
            shipper.ShipperId
        cnn.Open()
        cmd.ExecuteNonQuery()
        cnn.Close()

    End Sub

End Class


