﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="Orders.aspx.cs" Inherits="Orders" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">

    <asp:EntityDataSource ID="EntityDataSourceCust" runat="server" 
        ConnectionString="name=NorthwndEntitiesCnn" 
        DefaultContainerName="NorthwndEntitiesCnn" 
        EnableFlattening="False" 
        EntitySetName="Customers"
        Where="it.CustomerID=@custId"
        Include="Orders">
        <WhereParameters>
        <asp:QueryStringParameter
            QueryStringField="custId"
            Name="custId"
            DbType="String"/>
        </WhereParameters>       
    </asp:EntityDataSource>

    <h2>Customer Details</h2>
    <asp:DetailsView ID="DetailsViewCust" 
        runat="server" AutoGenerateRows="False" DataKeyNames="CustomerID" 
        DataSourceID="EntityDataSourceCust" 
        ondatabound="DetailsViewCust_DataBound">
        <Fields>
            <asp:BoundField DataField="CustomerID" HeaderText="CustomerID" ReadOnly="True" 
                SortExpression="CustomerID" />
            <asp:BoundField DataField="CompanyName" HeaderText="CompanyName" 
                SortExpression="CompanyName" />
            <asp:BoundField DataField="ContactName" HeaderText="ContactName" 
                SortExpression="ContactName" />
            <asp:BoundField DataField="ContactTitle" HeaderText="ContactTitle" 
                SortExpression="ContactTitle" />
            <asp:BoundField DataField="Address" HeaderText="Address" 
                SortExpression="Address" />
            <asp:BoundField DataField="City" HeaderText="City" SortExpression="City" />
            <asp:BoundField DataField="Region" HeaderText="Region" 
                SortExpression="Region" />
            <asp:BoundField DataField="PostalCode" HeaderText="PostalCode" 
                SortExpression="PostalCode" />
            <asp:BoundField DataField="Country" HeaderText="Country" 
                SortExpression="Country" />
            <asp:BoundField DataField="Phone" HeaderText="Phone" SortExpression="Phone" />
            <asp:BoundField DataField="Fax" HeaderText="Fax" SortExpression="Fax" />
        </Fields>
    </asp:DetailsView>
    <h3>Customer Orders</h3>
    <hr />
    <asp:GridView ID="GridViewOrders" runat="server" >
    </asp:GridView>
</asp:Content>